<?php

$post_slider = get_theme_mod( 'magoblog_post_slider', 'disable' );
$post_slider_num    = 5;

if ( 'disable' === $post_slider ) {
    return;
}

for ( $i=1; $i <= $post_slider_num; $i++ ) { 
    $content_id[] = get_theme_mod( "magoblog_post_slider_post_" . $i );
} 

$args = array(
        'post_type' => $post_slider,
        'post__in' => (array)$content_id,   
        'orderby'   => 'post__in',
        'posts_per_page' => absint( $post_slider_num ),
        'ignore_sticky_posts' => true,
    );
?>
<div id="thumbnail-post-slider">
    <div class="wrapper">
        <div class="thumbnail-wrapper" data-slick='{"slidesToShow": 3, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": false, "arrows":true, "autoplay": false, "draggable": true, "fade": false }'>
        <?php
        if ( $post_slider == 'recent' ) {
                $args = array(
                    'post_type' => 'post',
                    'posts_per_page' => absint( $post_slider_num ),
                );
            }
        $query = new WP_Query( $args );
        if ( $query->have_posts() ) {
            while ( $query->have_posts() ) {
                $query->the_post();
                $banner_thumbnail = get_the_post_thumbnail_url( get_the_id(), 'thumbnail' );
        ?>
            <article>
                <div class="featured-image">
                    <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url( $banner_thumbnail ); ?>" height= '120px' width= '120px' ></a>
                </div>

                <div class="entry-container">
                    <div class="entry-meta">
                        <?php blogoholic_posted_on() ; ?>
                    </div>

                    <header class="entry-header">
                        <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                    </header>
                </div>
            </article>

        <?php   }
            wp_reset_postdata();
        }
                    
        ?>
        </div>
    </div>
</div>
