<?php

function magoblog_customize_register( $wp_customize ) {

	$wp_customize->remove_section( 'colors' );

	require get_theme_file_path() . '/inc/customizer/top-bar.php';

	require get_theme_file_path() . '/inc/customizer/post-banner.php';

	require get_theme_file_path() . '/inc/customizer/post-slider.php';

	require get_theme_file_path() . '/inc/customizer/recent.php';

	require get_theme_file_path() . '/inc/customizer/lifestyle.php';

	require get_theme_file_path() . '/inc/customizer/blog.php';

	require get_theme_file_path() . '/inc/customizer/editor.php';

}
add_action( 'customize_register', 'magoblog_customize_register' );


function magoblog_if_post_banner_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'magoblog_post_banner' )->value() ;
}

function magoblog_if_post_slider_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'magoblog_post_slider' )->value() ;
}

function magoblog_if_recent_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'magoblog_recent' )->value() ;
}

function magoblog_if_lifestyle_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'magoblog_lifestyle' )->value() ;
}

function magoblog_if_editor_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'magoblog_editor' )->value() ;
}

function magoblog_if_blog_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'magoblog_blog' )->value() ;
}

