<?php

$wp_customize->add_section(
	'magoblog_post_banner',
	array(
		'title' => esc_html__( 'Post Banner', 'magoblog' ),
		'panel' => 'blogoholic_home_panel',
	)
);

$wp_customize->add_setting(
	'magoblog_post_banner',
	array(
		'sanitize_callback' => 'blogoholic_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'magoblog_post_banner',
	array(
		'section'		=> 'magoblog_post_banner',
		'label'			=> esc_html__( 'Content type:', 'magoblog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'magoblog' ),
				'post' => esc_html__( 'Post', 'magoblog' ),
		 	)
	)
);

$banner_count = 6;

for ($i=1; $i <= $banner_count ; $i++) { 

	$wp_customize->add_setting(
		'magoblog_post_banner_post_'.$i,
		array(
			'sanitize_callback' => 'blogoholic_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'magoblog_post_banner_post_'.$i,
		array(
			'section'		=> 'magoblog_post_banner',
			'label'			=> esc_html__( 'Post ', 'magoblog' ).$i,
			'type'			=> 'select',
			'choices'		=> blogoholic_get_post_choices(),
			'active_callback'	=> 'magoblog_if_post_banner_enabled'
		)
	);
}
